From: Markus Koschany <apo@debian.org>
Date: Sun, 30 Aug 2020 16:14:42 +0200
Subject: new wavpack

Fix incompatibility with Debian's system library.
---
 src/engine/client/sound.cpp | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

diff --git a/src/engine/client/sound.cpp b/src/engine/client/sound.cpp
index 190763f..716f579 100644
--- a/src/engine/client/sound.cpp
+++ b/src/engine/client/sound.cpp
@@ -377,6 +377,9 @@ ISound::CSampleHandle CSound::LoadWV(const char *pFilename)
 	int SampleID = -1;
 	char aError[100];
 	WavpackContext *pContext;
+	char aWholePath[1024];
+	IOHANDLE File;
+
 
 	// don't waste memory on sound when we are stress testing
 	if(m_pConfig->m_DbgStress)
@@ -390,19 +393,23 @@ ISound::CSampleHandle CSound::LoadWV(const char *pFilename)
 		return CSampleHandle();
 
 	lock_wait(m_SoundLock);
-	s_File = m_pStorage->OpenFile(pFilename, IOFLAG_READ, IStorage::TYPE_ALL);
-	if(!s_File)
+	File = m_pStorage->OpenFile(pFilename, IOFLAG_READ, IStorage::TYPE_ALL, aWholePath, sizeof(aWholePath));
+	if(!File)
 	{
 		dbg_msg("sound/wv", "failed to open file. filename='%s'", pFilename);
 		lock_unlock(m_SoundLock);
 		return CSampleHandle();
 	}
+	else
+	{
+		io_close(File);
+	}
 
 	SampleID = AllocID();
 	if(SampleID < 0)
 	{
-		io_close(s_File);
-		s_File = 0;
+		io_close(File);
+		File = 0;
 		lock_unlock(m_SoundLock);
 		return CSampleHandle();
 	}
@@ -417,7 +424,7 @@ ISound::CSampleHandle CSound::LoadWV(const char *pFilename)
 	Callback.read_bytes = ReadData;
 	pContext = WavpackOpenFileInputEx(&Callback, (void *)1, 0, aError, 0, 0);
 #else
-	pContext = WavpackOpenFileInput(ReadDataOld, aError);
+	pContext = WavpackOpenFileInput(aWholePath, aError, OPEN_2CH_MAX, 0);
 #endif
 	if (pContext)
 	{
@@ -436,8 +443,8 @@ ISound::CSampleHandle CSound::LoadWV(const char *pFilename)
 		if(pSample->m_Channels > 2)
 		{
 			dbg_msg("sound/wv", "file is not mono or stereo. filename='%s'", pFilename);
-			io_close(s_File);
-			s_File = 0;
+			io_close(File);
+			File = 0;
 			lock_unlock(m_SoundLock);
 			return CSampleHandle();
 		}
@@ -452,8 +459,8 @@ ISound::CSampleHandle CSound::LoadWV(const char *pFilename)
 		if(BitsPerSample != 16)
 		{
 			dbg_msg("sound/wv", "bps is %d, not 16, filname='%s'", BitsPerSample, pFilename);
-			io_close(s_File);
-			s_File = 0;
+			io_close(File);
+			File = 0;
 			lock_unlock(m_SoundLock);
 			return CSampleHandle();
 		}
@@ -480,9 +487,6 @@ ISound::CSampleHandle CSound::LoadWV(const char *pFilename)
 		dbg_msg("sound/wv", "failed to open %s: %s", pFilename, aError);
 	}
 
-	io_close(s_File);
-	s_File = NULL;
-
 	if(m_pConfig->m_Debug)
 		dbg_msg("sound/wv", "loaded %s", pFilename);
 
